## org.eclipse.emf.ecore.sdo.util
Class SDOAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecore.sdo.util.SDOAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  SDOItemProviderAdapterFactory

    public class SDOAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SDOPackage`

Field Summary
`protected static SDOPackage` `modelPackage` The cached model package
`protected SDOSwitch<Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`SDOAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAnyTypeAdapter()` Creates a new adapter for an object of class '`Any Type`'
`Adapter` `createChangeDescriptionAdapter()` Creates a new adapter for an object of class '`Description`'
`Adapter` `createChangeSummaryAdapter()` Creates a new adapter for an object of class '`Change Summary`'
`Adapter` `createChangeSummarySettingAdapter()` Creates a new adapter for an object of class '`Change Summary Setting`'
`Adapter` `createDataGraphAdapter()` Creates a new adapter for an object of class '`Data Graph`'
`Adapter` `createDataObjectAdapter()` Creates a new adapter for an object of class '`Data Object`'
`Adapter` `createEChangeSummaryAdapter()` Creates a new adapter for an object of class '`EChange Summary`'
`Adapter` `createEChangeSummarySettingAdapter()` Creates a new adapter for an object of class '`EChange Summary Setting`'
`Adapter` `createEDataGraphAdapter()` Creates a new adapter for an object of class '`EData Graph`'
`Adapter` `createEDataObjectAdapter()` Creates a new adapter for an object of class '`EData Object`'
`Adapter` `createEDataObjectAnyTypeAdapter()` Creates a new adapter for an object of class '`EData Object Any Type`'
`Adapter` `createEDataObjectSimpleAnyTypeAdapter()` Creates a new adapter for an object of class '`EData Object Simple Any Type`'
`Adapter` `createEJavaSerializableAdapter()` Creates a new adapter for an object of class '`EJava Serializable`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createEPropertyAdapter()` Creates a new adapter for an object of class '`EProperty`'
`Adapter` `createESequenceAdapter()` Creates a new adapter for an object of class '`ESequence`'
`Adapter` `createETypeAdapter()` Creates a new adapter for an object of class '`EType`'
`Adapter` `createFeatureChangeAdapter()` Creates a new adapter for an object of class '`Feature Change`'
`Adapter` `createInternalEDataObjectAdapter()` Creates a new adapter for an object of class '`Internal EData Object`'
`Adapter` `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'
`Adapter` `createSequenceAdapter()` Creates a new adapter for an object of class '`Sequence`'
`Adapter` `createSimpleAnyTypeAdapter()` Creates a new adapter for an object of class '`Simple Any Type`'
`Adapter` `createTypeAdapter()` Creates a new adapter for an object of class '`Type`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static SDOPackage modelPackage

  The cached model package.

### modelSwitch

    protected SDOSwitch<Adapter> modelSwitch

  The switch the delegates to the `createXXX` methods.

Constructor Detail

### SDOAdapterFactory

    public SDOAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createEDataObjectAdapter

    public Adapter createEDataObjectAdapter()

  Creates a new adapter for an object of class '`EData Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataObject`

### createEDataGraphAdapter

    public Adapter createEDataGraphAdapter()

  Creates a new adapter for an object of class '`EData Graph`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataGraph`

### createEChangeSummaryAdapter

    public Adapter createEChangeSummaryAdapter()

  Creates a new adapter for an object of class '`EChange Summary`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EChangeSummary`

### createEPropertyAdapter

    public Adapter createEPropertyAdapter()

  Creates a new adapter for an object of class '`EProperty`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EProperty`

### createDataObjectAdapter

    public Adapter createDataObjectAdapter()

  Creates a new adapter for an object of class '`Data Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataObject`

### createESequenceAdapter

    public Adapter createESequenceAdapter()

  Creates a new adapter for an object of class '`ESequence`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ESequence`

### createDataGraphAdapter

    public Adapter createDataGraphAdapter()

  Creates a new adapter for an object of class '`Data Graph`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataGraph`

### createChangeSummaryAdapter

    public Adapter createChangeSummaryAdapter()

  Creates a new adapter for an object of class '`Change Summary`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChangeSummary`

### createETypeAdapter

    public Adapter createETypeAdapter()

  Creates a new adapter for an object of class '`EType`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EType`

### createTypeAdapter

    public Adapter createTypeAdapter()

  Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Type`

### createPropertyAdapter

    public Adapter createPropertyAdapter()

  Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Property`

### createSequenceAdapter

    public Adapter createSequenceAdapter()

  Creates a new adapter for an object of class '`Sequence`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Sequence`

### createEChangeSummarySettingAdapter

    public Adapter createEChangeSummarySettingAdapter()

  Creates a new adapter for an object of class '`EChange Summary Setting`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EChangeSummarySetting`

### createInternalEDataObjectAdapter

    public Adapter createInternalEDataObjectAdapter()

  Creates a new adapter for an object of class '`Internal EData Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InternalEDataObject`

### createEDataObjectAnyTypeAdapter

    public Adapter createEDataObjectAnyTypeAdapter()

  Creates a new adapter for an object of class '`EData Object Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataObjectAnyType`

### createEDataObjectSimpleAnyTypeAdapter

    public Adapter createEDataObjectSimpleAnyTypeAdapter()

  Creates a new adapter for an object of class '`EData Object Simple Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataObjectSimpleAnyType`

### createEJavaSerializableAdapter

    public Adapter createEJavaSerializableAdapter()

  Creates a new adapter for an object of class '`EJava Serializable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Serializable`

### createChangeDescriptionAdapter

    public Adapter createChangeDescriptionAdapter()

  Creates a new adapter for an object of class '`Description`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChangeDescription`

### createFeatureChangeAdapter

    public Adapter createFeatureChangeAdapter()

  Creates a new adapter for an object of class '`Feature Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureChange`

### createAnyTypeAdapter

    public Adapter createAnyTypeAdapter()

  Creates a new adapter for an object of class '`Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyType`

### createSimpleAnyTypeAdapter

    public Adapter createSimpleAnyTypeAdapter()

  Creates a new adapter for an object of class '`Simple Any Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SimpleAnyType`

### createChangeSummarySettingAdapter

    public Adapter createChangeSummarySettingAdapter()

  Creates a new adapter for an object of class '`Change Summary Setting`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChangeSummary.Setting`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.